Subject: EVPN: ES-Import and RT-Constrain

From: Jakob Heitz <[email-masked]>
Date: Sun, 2 Dec 2012 06:41:52 +0000

Just like a route-target, the ES-Import Extended Community is used
to filter the routes that contain them. As such, they should be
able to take advantage of RT-Constrain (rfc4684).

The RT-Constrain NLRI needs no modification. All that is needed
is for an RT-Constrain implementation to add the ES-Import
as a filter criteria. A sentence in the EVPN draft as follows
should ensure that:

A BGP speaker that includes both the (AFI, SAFI) of RT-Constrain (rfc4684)
as well as of EVPN in the capabilitiy advertisement MUST apply
the RT-Constrain procedures to any ES-import extended community
it receives in the RT-Constrain Route Target Membership NLRI.

--
Jakob Heitz.